Debian Bug report logs - #544347
pygame: New upstream version 1.9.1 available

version graph

Package: pygame; Maintainer for pygame is Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>;

Reported by: Michael Banck <mbanck@debian.org>

Date: Sun, 30 Aug 2009 20:33:12 UTC

Severity: wishlist

Fixed in version pygame/1.9.1release-1

Done: Vincent Cheng <Vincentc1208@gmail.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Ed Boraas <ed@debian.org>:
Bug#544347; Package pygame. (Sun, 30 Aug 2009 20:33:16 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Banck <mbanck@debian.org>:
New Bug report received and forwarded. Copy sent to Ed Boraas <ed@debian.org>. (Sun, 30 Aug 2009 20:33:17 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Michael Banck <mbanck@debian.org>
To: submit@bugs.debian.org
Subject: pygame: New upstream version 1.9.1 available
Date: Sun, 30 Aug 2009 22:25:09 +0200
Package: pygame
Severity: wishlist

Hi,

http://www.pygame.org/news.html reports that pygame-1.9.1 is available.

This release apparently[1,2] fixes problems (which I am experiencing as
well) where fretsonfire does not play more than one track at the same
time, rendering the game mostly useless.


Michael

[1] http://code.google.com/p/fofix/issues/detail?id=916
[2] http://www.fretsonfire.net/forums/viewtopic.php?f=11&t=34231&start=1695&st=0&sk=t&sd=a#p391819




Information forwarded to debian-bugs-dist@lists.debian.org, Ed Boraas <ed@debian.org>:
Bug#544347; Package pygame. (Fri, 18 Sep 2009 20:54:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Pascal Giard <evilynux@gmail.com>:
Extra info received and forwarded to list. Copy sent to Ed Boraas <ed@debian.org>. (Fri, 18 Sep 2009 20:54:08 GMT) Full text and rfc822 format available.

Message #10 received at 544347@bugs.debian.org (full text, mbox):

From: Pascal Giard <evilynux@gmail.com>
To: 544347@bugs.debian.org
Subject: I second that request for update
Date: Fri, 18 Sep 2009 16:45:13 -0400
My only current show stopper to create Debian and Ubuntu packages of
FoFiX is python-pygame...

Please update to pygame >= 1.9.

Cheers,

-Pascal
-- 
Homepage (http://organact.mine.nu)
Debian GNU/Linux (http://www.debian.org)
LACIME: École de technologie supérieure (http://lacime.etsmtl.ca)




Information forwarded to debian-bugs-dist@lists.debian.org, Ed Boraas <ed@debian.org>:
Bug#544347; Package pygame. (Mon, 24 May 2010 16:42:13 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alexandre Quessy <alexandre@quessy.net>:
Extra info received and forwarded to list. Copy sent to Ed Boraas <ed@debian.org>. (Mon, 24 May 2010 16:42:13 GMT) Full text and rfc822 format available.

Message #15 received at 544347@bugs.debian.org (full text, mbox):

From: Alexandre Quessy <alexandre@quessy.net>
To: 544347@bugs.debian.org
Subject: Uploaded a new version for sid on Debian mentors
Date: Mon, 24 May 2010 12:21:30 -0400
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Hello!
I uploaded the 1.9.1release packages for Debian sid a few minutes ago.
It's on
http://mentors.debian.net/cgi-bin/sponsor-pkglist?action=details;package=pygame

This release contains useful new features such v4l2 video capture, and
MIDI support.
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org/

iQIcBAEBAgAGBQJL+qeBAAoJEJQ0pOgl2qx1mCgP/2umQmeIwA41+IHtao2Xnjmj
UKLnb7m8w35PLYEonKMLgc7K0Z0ubpXilWjmteVQ4OzlabgeNqFiRNVanlZ9d+Ex
lWCNJimAP5S7SNWWMDFUfJkf0NEEPkwCGKK1Yqix5EOXTibA8CIFM9LImvQPpeqW
EDqio2PQEBwu+LDT4llE+YcA6AEYr3AI5nxrXrT6kj8BNqOKqB3RU8t9FVXQM2Ss
WSPzUkZJ/lZUAQWWZlmdCjnQcw0NqCOmmftj9T5qBQta5PLWRBWCeqyOFLt3EQos
XejPfhYiTll1EMX9cUeOQ1zIHxX4aMRsiQ+kCuCNAx0eO72P8SwcZj8+7im6uqWD
TU1UD+3AxC4ZoV9gHluC7cHx7qqaZptfzxznQdmNrMppJUkzHRioOkc32WkHxfzL
2puYlZkcTFHmklS8F4CjqIZXCSQB69lDj0vjDJbtA5FQ37OCgC7XhKm47hS8k+I/
0fmQjmgCyHwnfRF7h3mubDbFveIoGUstWflj7GBuXoqc0Ve98IZIlA2LLOCD8kVK
5KiRwDpRXzbenQZ46PQYOstspmK0C8q06RA++h//wiPZApVKR7VoU3i4fFQK/dyT
eT+cNJGR+MJk6KwiAkmSwxkOuLC9XrmF4EszBXYut+Z3h34YK7lV3rpYXIjRWhDI
rQtPiYuh+WshSyIfBJKP
=bgXW
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, Ed Boraas <ed@debian.org>:
Bug#544347; Package pygame. (Mon, 24 May 2010 16:57:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alexandre Quessy <alexandre@quessy.net>:
Extra info received and forwarded to list. Copy sent to Ed Boraas <ed@debian.org>. (Mon, 24 May 2010 16:57:09 GMT) Full text and rfc822 format available.

Message #20 received at 544347@bugs.debian.org (full text, mbox):

From: Alexandre Quessy <alexandre@quessy.net>
To: 544347@bugs.debian.org
Subject: My reasons for this new package version
Date: Mon, 24 May 2010 12:54:45 -0400
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Pygame 1.9 is out since already nine months and contains very
interesting features, such as MIDI input/output and video camera capture.

I will need it for two new packages that are ready for Debian sid. Both
need those new features in Pygame, so I am waiting for this update.

The first is Scenic, a high-quality audio-video-MIDI streaming
application for live shows.
http://svn.sat.qc.ca/trac/scenic/

The second is Toonloop, a live animation system. Both are GPL.
http://toonloop.com

Regards,
Alexandre
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org/

iQIcBAEBAgAGBQJL+q9UAAoJEJQ0pOgl2qx1j98QAJFn833Eaa0DTv1w2n9cqnNh
hCTJt9iTXJFp3m9Jd6vYXxecEV1gBQ6nQ3qhsjSkDCjw6ZFJDGz+munTvfNoIKV+
yKYqG3KPD7pg6OK4Yx03r/7ift76T1dZATCk9tX3t068QVUcpWyNjao3XIfn3KsX
gapFnf3yMkAQwKmIr44kI6xbrQD9xH9Ve0XCEI4DTE4PDUftX02NakGVMQaZkD2u
q5V51Pp/oex7uqREwCg3nDTUBlcvK4SgvmjppmgFJYvRf8ga2kMBS7SPG865ukcv
UCc+NyMwMKmndjD4d/MR1Kwr8KAR0un4qhkq0kBg5o/ia7J9+R3/NsKlj5K7rNe8
faHw8SJ1lgRhXKF3dBTaUHUu5AjbesTD0khbVY5r3xDEPOy65RYq9H67TqEdGP4A
Z6EiaVg6HwrmqH2vJVxQ2Spd+vyNVgXFofd8IzcpuoJQEQcPwN8iMVmlTbdBHuB4
kYqCzI/3Y3Q9jUZqpjNkhW2PdOlTx7cp1uX8QDFOFZYXVK9x6x5M/Vg5VrZ3XANE
ySYI3I/87mg5PTqqyVStSE8qtHSL/kmxC0UGEQKcJjMVACwVGBnwtDj782hI0Ow9
HPBEql93yXUQAEIrNRWcWL3Hv5/s29vqNv7blfq5Ro2yT2umrQ6oFIhUU4rS9lmJ
7+X1dU+1KjwnALZdMgrt
=8XnZ
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, Ed Boraas <ed@debian.org>:
Bug#544347; Package pygame. (Mon, 24 May 2010 17:48:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alexandre Quessy <alexandre@quessy.net>:
Extra info received and forwarded to list. Copy sent to Ed Boraas <ed@debian.org>. (Mon, 24 May 2010 17:48:07 GMT) Full text and rfc822 format available.

Message #25 received at 544347@bugs.debian.org (full text, mbox):

From: Alexandre Quessy <alexandre@quessy.net>
To: 544347@bugs.debian.org
Subject: Explanations about the origin of the process I have done to package this
Date: Mon, 24 May 2010 13:45:28 -0400
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

I should mention that I took the .orig.tar.gz of the Ubuntu Lucid
package. From there, I copied the debian directory of the latest 1.8.1
Debian package, and modified it slightly, adding to it the new
build-dependencies. (libportmidi-dev and quilt)

The Ubuntu package I took it from is there:
http://packages.ubuntu.com/lucid/python-pygame

I hope these explanations are contributing to your thrust in the
validity of this 1.9.1 source package. :)
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org/

iQIcBAEBAgAGBQJL+rs3AAoJEJQ0pOgl2qx17cUP/AlNK8CItoU4giz42WmLNiBO
bVUq4YFJOiZx9Gxnqc3h1sXw+Bm4ug77n3LnC5JEurof8qGcT/1N+4MYfRwkmvSZ
BoH2s0aXjF31CsLPch2CJHEbHRiCLOKz7tqqJIPeCeNRU1HoBbQWDcBEw+Cketxl
p7Q+tteBZiKYmc9BaFgqnBdsxcLSS146UgEwfVuSsccI9jP0g3Ef+P2mg8lAuPgj
K1WtTKfbnGWJ3KGZAJZcweZKXEMJ43xxx/GirgmaOTpwvmcr+u60TejxN3uZjTJx
lX3ifDo6Zshs4XQI3tXxV7jrazBSgpR+vIFHOudc7GgAXvSwa8lx38D5Kzyeeg/R
Ea854KhBy9QzrPED1en52WinP1D07ob54gt9EnD46U0TD40uKkGUZvsvJrzpzVPc
Htu/Fs4w08bHtpmGaJYPTbepEuBaqCCMyCHRKzS+fJYhBl85/8UfdCkbQEbAXBVx
OpeTd8PNWTTMnmr4YQX3CBgz+QOI0liRve4iEgoIA6Mgh7Ae9jUNw+6J6KRRLK1V
BNUVVfKL2DGujwD6AsPi9ZuoxAG2ekkwcRKMF6YzbaxU/caYa10MJXR9YsGW9Md7
M3PwYi3lAohgGM894eFR0d+QubB8wfuRWXwzuDNpqAGZlHD8llz2w5xfMQ7343x4
xQBe6hdDOnv+6P23Myk7
=USjA
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, Ed Boraas <ed@debian.org>:
Bug#544347; Package pygame. (Sat, 05 Jun 2010 16:15:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alexandre Quessy <alexandre@quessy.net>:
Extra info received and forwarded to list. Copy sent to Ed Boraas <ed@debian.org>. (Sat, 05 Jun 2010 16:15:03 GMT) Full text and rfc822 format available.

Message #30 received at 544347@bugs.debian.org (full text, mbox):

From: Alexandre Quessy <alexandre@quessy.net>
To: 544347@bugs.debian.org
Cc: mennucc1@debian.org
Subject: mentors.debian.net has version 1.9.1release-0.1 of this package, you should consider sponsoring its upload
Date: Sat, 05 Jun 2010 12:11:28 -0400
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Hello Again,
A new upstream version of Pygame has been released last year, and I
updated the package and put it on mentors.debian.net. Could you sponsor
it, please?

I intend to package the Scenic application, but it suggests the MIDI
support with Python, available via Pygame. See
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=584164 This package is
maintained by the pkg-multimedia team, in the "scenic" repository.

Again, I also rely on this new release of Pygame for my Toonloop 1.2
application.

Best regards,
 Alexandre
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org/

iQIcBAEBAgAGBQJMCncqAAoJEJQ0pOgl2qx1mhkP/1YHq8Lvv2k1bk3/VvWDfwS5
k1xSJSlzJhjRHv6TWD71at+t3EkHpkEM0z3Zd7hqKJKdqkbW5s+B8YIoYqtVNmav
42wRDhPRuoYMho8UYyPMTDDb4Re76BLUIpedf72hCkj9gj3N6qiWubNBmGESmGQf
H5ypjmKCzrW92gnVL9D9IEa5ekOfojgxV2f35R0fa9xYccC8gdLOe6jUhHiBhtFi
G/PTQEvquJbA/Oa0aR0jNxGNmTLnlJROdYjWl3gE55hLlbai/eSBKkvHeM18Vqr1
M5r4GC5udbC5At3ZsPX7tX1zqojUG+ifctcy2aDb8AZzPn0Es98zZRFMU5Jdx5DD
uhlPeiRtQvn1DQRnvU+gpRh7/tB123KWT03gjQCJuFW6N8KkF2KU19WVpc/XWIDo
bHB+OPy+Z4XmsQLdl7NSa+zglbkpXbnQHTJphZ0umr7+7gtMJK4Dm7KKtQrPqKPM
j9ZSYeasnOm/n5jlOrfmzLosb1E3BClBfcyUTlszWTl67IKIaMwB2aBjIuy0iQiV
lbXXq+me0QgjzEsMN5BLymoVuWi4tFkVjTes7taD5oMNdWx33adqk39jSRcbSyF+
pFRb8nxHoCVgXZ9WCnePZFC+OXpsvfijNa0u+23db5ay6AGXvqotUDPJjYRMgeH9
Se6ErpMeDzguDZzkNlgT
=F4zu
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, Ed Boraas <ed@debian.org>:
Bug#544347; Package pygame. (Tue, 08 Jun 2010 20:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to mennucc1@debian.org:
Extra info received and forwarded to list. Copy sent to Ed Boraas <ed@debian.org>. (Tue, 08 Jun 2010 20:57:03 GMT) Full text and rfc822 format available.

Message #35 received at 544347@bugs.debian.org (full text, mbox):

From: A Mennucc <debdev@tonelli.sns.it>
To: ed@debian.org
Cc: morph@debian.org, 544347@bugs.debian.org
Subject: [debdev@tonelli.sns.it: Re: mentors.debian.net has version 1.9.1release-0.1 of this package, you should consider sponsoring its upload]
Date: Tue, 8 Jun 2010 22:34:19 +0200
hi,

I forward you all this short email

a.

----- Forwarded message from A Mennucc <debdev@tonelli.sns.it> -----

From: A Mennucc <debdev@tonelli.sns.it>
To: Alexandre Quessy <alexandre@quessy.net>
Subject: Re: mentors.debian.net has version 1.9.1release-0.1 of this
	package, you should consider sponsoring its upload
Reply-To: mennucc1@debian.org

On Sat, Jun 05, 2010 at 12:11:28PM -0400, Alexandre Quessy wrote:
> Hello Again,
> A new upstream version of Pygame has been released last year, and I
> updated the package and put it on mentors.debian.net. Could you sponsor
> it, please?

hi,

sorry I am very busy due to family and work overload, and cannot find much time
to dedicate to Debian

before uploading a new pygame major version, 
I would do quite a bit of testing, 
to see that it does not break any existing application using pygame

indeed, we should supposedly be near a freeze, 
altough admittetly it has been postponed

indeed, the release team has asked that any such
major transition should be coordinated with them

unfortunately I have no time for all that

:-(

a.

----- End forwarded message -----




Information forwarded to debian-bugs-dist@lists.debian.org, Ed Boraas <ed@debian.org>:
Bug#544347; Package pygame. (Wed, 13 Apr 2011 15:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Carlo Stemberger <carlo.stemberger@gmail.com>:
Extra info received and forwarded to list. Copy sent to Ed Boraas <ed@debian.org>. (Wed, 13 Apr 2011 15:45:03 GMT) Full text and rfc822 format available.

Message #40 received at 544347@bugs.debian.org (full text, mbox):

From: Carlo Stemberger <carlo.stemberger@gmail.com>
To: 544347@bugs.debian.org
Subject: Any news?
Date: Wed, 13 Apr 2011 17:43:13 +0200
Hi,
Squeeze was released 2 months ago: is there any news?

Please note that pygame 1.9 is needed to use Python 3:

http://www.pygame.org/wiki/FrequentlyAskedQuestions?action=view#Does%20Pygame%20work%20with%20Python%203?

Regards,
Carlo

-- 
 .'  `.   | Registered Linux User #443882
 |a_a  |  | http://counter.li.org/                      .''`.
 \<_)__/  +---                                         : :'  :
 /(   )\                                          ---+ `. `'`
|\`>  <  /\                  Registered Debian User #9 |   `-
\_|=='|_/       http://debiancounter.altervista.org/ |





Information forwarded to debian-bugs-dist@lists.debian.org, Ed Boraas <ed@debian.org>:
Bug#544347; Package pygame. (Wed, 22 Jun 2011 23:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Leuchtenburg <michael@slashhome.org>:
Extra info received and forwarded to list. Copy sent to Ed Boraas <ed@debian.org>. (Wed, 22 Jun 2011 23:03:03 GMT) Full text and rfc822 format available.

Message #45 received at 544347@bugs.debian.org (full text, mbox):

From: Michael Leuchtenburg <michael@slashhome.org>
To: 544347@bugs.debian.org
Subject: is this package now unmaintained?
Date: Wed, 22 Jun 2011 18:50:13 -0400
So, er, it's been nearly 2 years since 1.9.1 hit and it's still not in 
in unstable, or even experimental. Is this package still actually being 
maintained?

Michael




Information forwarded to debian-bugs-dist@lists.debian.org, Ed Boraas <ed@debian.org>:
Bug#544347; Package pygame. (Wed, 29 Jun 2011 17:45:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to A Mennucc <mennucc1@debian.org>:
Extra info received and forwarded to list. Copy sent to Ed Boraas <ed@debian.org>. (Wed, 29 Jun 2011 17:45:05 GMT) Full text and rfc822 format available.

Message #50 received at 544347@bugs.debian.org (full text, mbox):

From: A Mennucc <mennucc1@debian.org>
To: 544347@bugs.debian.org
Cc: Alexandre Quessy <alexandre@quessy.net>, Carlo Stemberger <carlo.stemberger@gmail.com>, ed@debian.org, Michael Leuchtenburg <michael@slashhome.org>, Pascal Giard <evilynux@gmail.com>
Subject: python-pygame 1.9.1
Date: Wed, 29 Jun 2011 19:42:41 +0200
[Message part 1 (text/plain, inline)]
hi,

 it is high time to upload 1.9.1 ;

 I would propose to upload it in experimental, e-mail all mantainers of
all all packages that use pygame so that they have a chance to test
their package with 1.9.1 , and then after some months upload 1.9.1 into
unstable .

  If Alexander can send me his package I will test it and upload it
(sorry mentors.d.n has lost it) otherwise I may upload the one in Ubuntu
(I checked that it does compile in Debian).

The version I adapted and compiled from Ubuntu is in
http://mennucc1.debian.net/pygame/pygame_1.9.1release-0_i386.changes
(and references therein); I did not test it in any way (yet).

a.

ps: let me mention that I am not possibly the best person to care for
this package, since I do not use it : help is needed

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Ed Boraas <ed@debian.org>:
Bug#544347; Package pygame. (Wed, 29 Jun 2011 23:48:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vincent Cheng <vincentc1208@gmail.com>:
Extra info received and forwarded to list. Copy sent to Ed Boraas <ed@debian.org>. (Wed, 29 Jun 2011 23:48:03 GMT) Full text and rfc822 format available.

Message #55 received at 544347@bugs.debian.org (full text, mbox):

From: Vincent Cheng <vincentc1208@gmail.com>
To: 544347@bugs.debian.org, A Mennucc <mennucc1@debian.org>
Cc: Alexandre Quessy <alexandre@quessy.net>, Carlo Stemberger <carlo.stemberger@gmail.com>, ed@debian.org, Michael Leuchtenburg <michael@slashhome.org>, Pascal Giard <evilynux@gmail.com>
Subject: Re: pygame: New upstream version 1.9.1 available
Date: Wed, 29 Jun 2011 16:44:41 -0700
Hi,

I have a package that depends on pygame, so I'd like to help out with
the packaging and maintenance of pygame as well. I'm not a DD though,
so I'd like to ask for a sponsor to review my packaging and consider
uploading it to the archives. I'd appreciate any comments and
suggestions, of course. Thanks!

$ dget http://mentors.debian.net/debian/pool/main/p/pygame/pygame_1.9.1release-1.dsc

Still on my TODO list:
- Build pygame for Python 3
- Modify debian/copyright to use DEP-5.

Kind regards,
- Vincent Cheng




Information forwarded to debian-bugs-dist@lists.debian.org, Ed Boraas <ed@debian.org>:
Bug#544347; Package pygame. (Mon, 04 Jul 2011 03:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lenard Lindstrom <len-l@telus.net>:
Extra info received and forwarded to list. Copy sent to Ed Boraas <ed@debian.org>. (Mon, 04 Jul 2011 03:57:03 GMT) Full text and rfc822 format available.

Message #60 received at 544347@bugs.debian.org (full text, mbox):

From: Lenard Lindstrom <len-l@telus.net>
To: 544347@bugs.debian.org
Subject: Re: pygame: New upstream version 1.9.1 available
Date: Sun, 03 Jul 2011 20:01:47 -0700
Hi,

I am one of the Pygame developers and do most of my Pygame development 
on Debian. But I also manage Pygame on 32bit Windows, which takes up a 
lot of time building Pygame's dependencies. So I have not tried to 
create a Debian package. But I am willing to answer questions if someone 
else does the work of creating the package. If the package is 
experimental then it should use the latest Pygame from svn head, 1.9.2 
alpha. I constantly check that svn head builds and runs on Debian. 
Pygame 1.9.2 alpha works well with Pythons 2.5 to 3.2. It supports NumPy 
for Python 3 and has new Sphinx generated documentation. Further work 
has also been done on the camera module.

Lenard Lindstrom





Information forwarded to debian-bugs-dist@lists.debian.org, Ed Boraas <ed@debian.org>:
Bug#544347; Package pygame. (Mon, 04 Jul 2011 07:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vincent Cheng <vincentc1208@gmail.com>:
Extra info received and forwarded to list. Copy sent to Ed Boraas <ed@debian.org>. (Mon, 04 Jul 2011 07:03:03 GMT) Full text and rfc822 format available.

Message #65 received at 544347@bugs.debian.org (full text, mbox):

From: Vincent Cheng <vincentc1208@gmail.com>
To: Lenard Lindstrom <len-l@telus.net>, 544347@bugs.debian.org
Subject: Re: Bug#544347: pygame: New upstream version 1.9.1 available
Date: Mon, 4 Jul 2011 00:01:36 -0700
On Sun, Jul 3, 2011 at 8:01 PM, Lenard Lindstrom <len-l@telus.net> wrote:
> Hi,
>
> I am one of the Pygame developers and do most of my Pygame development on
> Debian. But I also manage Pygame on 32bit Windows, which takes up a lot of
> time building Pygame's dependencies. So I have not tried to create a Debian
> package. But I am willing to answer questions if someone else does the work
> of creating the package. If the package is experimental then it should use
> the latest Pygame from svn head, 1.9.2 alpha. I constantly check that svn
> head builds and runs on Debian. Pygame 1.9.2 alpha works well with Pythons
> 2.5 to 3.2. It supports NumPy for Python 3 and has new Sphinx generated
> documentation. Further work has also been done on the camera module.
>
> Lenard Lindstrom
>

Hi,

I think the priority right now should be to get Pygame 1.9 into Debian
unstable first; there seems to be a number of packagers who need
Pygame 1.9 as a dependency for their packages. After Pygame 1.9.1
lands in experimental and is tested a bit to make sure nothing breaks,
we can upload it to unstable and then package 1.9.2 alpha for
experimental (or we could upload 1.9.1 directly into unstable, and
package 1.9.2 alpha for experimental). Does anybody have any other
suggestions?

Either way, I'm happy to do the actual packaging; I just need a DD to
upload my work for me.

Kind regards,
- Vincent Cheng




Information forwarded to debian-bugs-dist@lists.debian.org, Ed Boraas <ed@debian.org>:
Bug#544347; Package pygame. (Sun, 17 Jul 2011 04:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vincent Cheng <vincentc1208@gmail.com>:
Extra info received and forwarded to list. Copy sent to Ed Boraas <ed@debian.org>. (Sun, 17 Jul 2011 04:33:03 GMT) Full text and rfc822 format available.

Message #70 received at 544347@bugs.debian.org (full text, mbox):

From: Vincent Cheng <vincentc1208@gmail.com>
To: 544347@bugs.debian.org, A Mennucc <mennucc1@debian.org>
Subject: Re: Bug#544347: pygame: New upstream version 1.9.1 available
Date: Sat, 16 Jul 2011 21:29:00 -0700
On Wed, Jun 29, 2011 at 4:44 PM, Vincent Cheng <vincentc1208@gmail.com> wrote:
> Hi,
>
> I have a package that depends on pygame, so I'd like to help out with
> the packaging and maintenance of pygame as well. I'm not a DD though,
> so I'd like to ask for a sponsor to review my packaging and consider
> uploading it to the archives. I'd appreciate any comments and
> suggestions, of course. Thanks!
>
> $ dget http://mentors.debian.net/debian/pool/main/p/pygame/pygame_1.9.1release-1.dsc
>
> Still on my TODO list:
> - Build pygame for Python 3
> - Modify debian/copyright to use DEP-5.
>
> Kind regards,
> - Vincent Cheng
>
>
>
> --
> To unsubscribe, send mail to 544347-unsubscribe@bugs.debian.org.
>

Hi,

Are there any updates on this? If there's anything you'd like me to
change/fix in my packaging, please let me know. Thanks!

Kind regards,
- Vincent Cheng




Reply sent to Vincent Cheng <Vincentc1208@gmail.com>:
You have taken responsibility. (Tue, 19 Jul 2011 21:15:08 GMT) Full text and rfc822 format available.

Notification sent to Michael Banck <mbanck@debian.org>:
Bug acknowledged by developer. (Tue, 19 Jul 2011 21:15:08 GMT) Full text and rfc822 format available.

Message #75 received at 544347-close@bugs.debian.org (full text, mbox):

From: Vincent Cheng <Vincentc1208@gmail.com>
To: 544347-close@bugs.debian.org
Subject: Bug#544347: fixed in pygame 1.9.1release-1
Date: Tue, 19 Jul 2011 21:12:16 +0000
Source: pygame
Source-Version: 1.9.1release-1

We believe that the bug you reported is fixed in the latest version of
pygame, which is due to be installed in the Debian FTP archive:

pygame_1.9.1release-1.debian.tar.gz
  to main/p/pygame/pygame_1.9.1release-1.debian.tar.gz
pygame_1.9.1release-1.dsc
  to main/p/pygame/pygame_1.9.1release-1.dsc
pygame_1.9.1release.orig.tar.gz
  to main/p/pygame/pygame_1.9.1release.orig.tar.gz
python-pygame_1.9.1release-1_i386.deb
  to main/p/pygame/python-pygame_1.9.1release-1_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 544347@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Vincent Cheng <Vincentc1208@gmail.com> (supplier of updated pygame package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Wed, 29 Jun 2011 14:56:36 -0700
Source: pygame
Binary: python-pygame
Architecture: source i386
Version: 1.9.1release-1
Distribution: experimental
Urgency: low
Maintainer: Ed Boraas <ed@debian.org>
Changed-By: Vincent Cheng <Vincentc1208@gmail.com>
Description: 
 python-pygame - SDL bindings for games development in Python
Closes: 428070 451674 544347 616965
Changes: 
 pygame (1.9.1release-1) experimental; urgency=low
 .
   * Upload to experimental.
   * New upstream release. (Closes: #544347)
   * Add myself to uploaders.
   * Add build dependency on libportmidi-dev.
   * Transition to dh_python2: (Closes: #616965)
     - Remove dependency on python-central.
     - Bump dependency on python-all-dev to >= 2.6.6-3~.
     - Remove XB-Python-Version.
     - Change XS-Python-Version to X-Python-Version.
     - Use dh_python2 instead of dh_pycentral in debian/rules.
   * Add timidity as a suggested package for python-pygame. (Closes: #428070)
   * Include a doc-base registration file. (Closes: #451674)
   * Update Standards version from 3.8.4 to 3.9.2, no updates required.
   * Update debhelper compatiblity level from 7 to 8.
   * Import debian/patches from Ubuntu.
Checksums-Sha1: 
 ac2865aa6ca54bd0f90178572db9cb3c24b35945 1344 pygame_1.9.1release-1.dsc
 a45aeb0623e36ae7a1707b5f41ee6274f72ca4fa 2134254 pygame_1.9.1release.orig.tar.gz
 7dc58e1084c18c9610c411ff8dc1fa73f35951f8 9633 pygame_1.9.1release-1.debian.tar.gz
 9b3f24473fbd1b123fedb82a8aacc90176fff9a4 2864342 python-pygame_1.9.1release-1_i386.deb
Checksums-Sha256: 
 1f527d1243401264bcc627f85a0da04a7f6d31325ba8ed31614befb46f409029 1344 pygame_1.9.1release-1.dsc
 a26095472ae4be9631e0d5bfb9a52ac57a3a091e45757913128e4a473807d433 2134254 pygame_1.9.1release.orig.tar.gz
 f7aba5b7514128b46d48774ce279f298fdf57786f89677bf663288518f852496 9633 pygame_1.9.1release-1.debian.tar.gz
 1a360dc4280a59ac149d74793e80a96f976b2d8a98ce9142efb1a6ff3ae74455 2864342 python-pygame_1.9.1release-1_i386.deb
Files: 
 975fb80166512c10030b2f3a66f4ba20 1344 python optional pygame_1.9.1release-1.dsc
 1c4cdc708d17c8250a2d78ef997222fc 2134254 python optional pygame_1.9.1release.orig.tar.gz
 833e7ad784d968721e341512aeaf009e 9633 python optional pygame_1.9.1release-1.debian.tar.gz
 2d47313bee7c1d5272bd22dcd0be3eb4 2864342 python optional python-pygame_1.9.1release-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAk4l518ACgkQ9B/tjjP8QKQ2BgCfQphfSH7gSnTE1KiDSFOGhr/i
PnYAmwVxqvJLWxF305sTsPuqJVN+d9mj
=K0j2
-----END PGP SIGNATURE-----





Information forwarded to debian-bugs-dist@lists.debian.org, Ed Boraas <ed@debian.org>:
Bug#544347; Package pygame. (Wed, 24 Aug 2011 19:39:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lenard Lindstrom <len-l@telus.net>:
Extra info received and forwarded to list. Copy sent to Ed Boraas <ed@debian.org>. (Wed, 24 Aug 2011 19:39:05 GMT) Full text and rfc822 format available.

Message #80 received at 544347@bugs.debian.org (full text, mbox):

From: Lenard Lindstrom <len-l@telus.net>
To: 544347@bugs.debian.org
Subject: Pygame development moved to Mercurial/Bitbucket
Date: Wed, 24 Aug 2011 11:43:15 -0700
Hi,

We have moved Pygame revision control to Mercurial, with the central 
repository at Bitbucket (https://bitbucket.org/pygame/pygame). This will 
allow better feedback from external developers. Also it will permit easy 
backporting of bug fixes into the current release version, Python 1.9.1. 
As well, any bug fixes applied to the Debian Pygame 1.9.1 distribution 
can be fed back into the Bitbucket repository. I hope to see closer 
cooperation between the Pygame development team and Debian package 
maintainers.

Lenard Lindstrom





Information forwarded to debian-bugs-dist@lists.debian.org, Ed Boraas <ed@debian.org>:
Bug#544347; Package pygame. (Fri, 26 Aug 2011 08:25:25 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vincent Cheng <vincentc1208@gmail.com>:
Extra info received and forwarded to list. Copy sent to Ed Boraas <ed@debian.org>. (Fri, 26 Aug 2011 08:25:25 GMT) Full text and rfc822 format available.

Message #85 received at 544347@bugs.debian.org (full text, mbox):

From: Vincent Cheng <vincentc1208@gmail.com>
To: Lenard Lindstrom <len-l@telus.net>
Cc: 544347@bugs.debian.org
Subject: Re: Bug#544347: Pygame development moved to Mercurial/Bitbucket
Date: Fri, 26 Aug 2011 01:16:02 -0700
On Wed, Aug 24, 2011 at 11:43 AM, Lenard Lindstrom <len-l@telus.net> wrote:
> Hi,
>
> We have moved Pygame revision control to Mercurial, with the central
> repository at Bitbucket (https://bitbucket.org/pygame/pygame). This will
> allow better feedback from external developers. Also it will permit easy
> backporting of bug fixes into the current release version, Python 1.9.1. As
> well, any bug fixes applied to the Debian Pygame 1.9.1 distribution can be
> fed back into the Bitbucket repository. I hope to see closer cooperation
> between the Pygame development team and Debian package maintainers.
>
> Lenard Lindstrom
>
>
>
>
> --
> To unsubscribe, send mail to 544347-unsubscribe@bugs.debian.org.
>

Hi Lenard,

Thanks for keeping in touch! Likewise, I'd like to see Debian become a
good downstream in its relationship with pygame. Just to clarify, if
there are any existing non-Debian-specific bug reports or patches that
haven't been addressed upstream yet, would you prefer that I forward
them directly to you, file a new issue at Bitbucket, send a message to
pygame's mailing list, or a combination of the above?

Since #544347 has already been closed and is going to be archived
eventually, you may wish to contact pygame's Debian maintainer (as
well as any subscribers to pygame's PTS page) via
pygame@packages.debian.org instead. However, I'm not entirely sure
whether emails sent to this address are also sent to the package's
uploaders, but I'll probably receive any emails you send to this
address anyways since I've already subscribed to pygame's PTS page...

Also, I've recently uploaded my debian packaging for pygame to
collab-maint: svn://svn.debian.org/svn/collab-maint/deb-maint/pygame/trunk
(although I think I'm probably the only pygame maintainer/uploader
actively using collab-maint for pygame packaging at the moment).

Kind regards,
- Vincent Cheng




Information forwarded to debian-bugs-dist@lists.debian.org, Ed Boraas <ed@debian.org>:
Bug#544347; Package pygame. (Sat, 27 Aug 2011 20:42:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vincent Cheng <vincentc1208@gmail.com>:
Extra info received and forwarded to list. Copy sent to Ed Boraas <ed@debian.org>. (Sat, 27 Aug 2011 20:42:03 GMT) Full text and rfc822 format available.

Message #90 received at 544347@bugs.debian.org (full text, mbox):

From: Vincent Cheng <vincentc1208@gmail.com>
To: Lenard Lindstrom <len-l@telus.net>
Cc: 544347@bugs.debian.org
Subject: Re: Bug#544347: Pygame development moved to Mercurial/Bitbucket
Date: Sat, 27 Aug 2011 13:37:57 -0700
Just a quick follow-up to my last message...

On Fri, Aug 26, 2011 at 1:16 AM, Vincent Cheng <vincentc1208@gmail.com> wrote:
[...]
> Since #544347 has already been closed and is going to be archived
> eventually, you may wish to contact pygame's Debian maintainer (as
> well as any subscribers to pygame's PTS page) via
> pygame@packages.debian.org instead. However, I'm not entirely sure
> whether emails sent to this address are also sent to the package's
> uploaders, but I'll probably receive any emails you send to this
> address anyways since I've already subscribed to pygame's PTS page...

I've just tried sending a message to pygame@packages.debian.org and I
didn't receive anything back, so at the moment, if you'd like to
contact pygame's Debian maintainers/uploaders with the above e-mail
address, please cc: me as well. Thanks!

- Vincent




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 06 Feb 2012 07:39:13 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 13:19:55 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.